package com.example.apretamemm
import androidx.appcompat.app.AppCompatActivity
import android.content.Intent
import android.os.Bundle
import android.view.View
import android.widget.Button
import android.widget.EditText
import android.widget.TextView
import kotlinx.android.synthetic.main.activity_main.*
import kotlinx.android.synthetic.main.activity_main2.*
import androidx.core.view.isVisible


class Main2Activity : AppCompatActivity() {
    val EMPTY_VALUE = ""
    internal lateinit var btn_aceptar: Button
    internal lateinit var btn_ejer1: Button
    internal lateinit var btn_ejer2: Button
    internal lateinit var btn_borrar: Button
    internal lateinit var btn_ejer3: Button
    internal lateinit var et_nombre: EditText
    internal lateinit var txt_nombre: TextView

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main2)

        btn_aceptar = findViewById(R.id.btn_aceptar)
        et_nombre = findViewById(R.id.et_nombre)
        txt_nombre= findViewById(R.id.txt_nombre)
        btn_ejer1 = findViewById(R.id.btn_ejer1)
        btn_ejer2 = findViewById(R.id.btn_ejer2)
        btn_ejer3 = findViewById(R.id.btn_ejer3)
        btn_borrar=findViewById(R.id.btn_borrar)
        btn_aceptar.isVisible=true

        et_nombre.isVisible=true

        btn_borrar.isVisible=false

        btn_ejer1.isVisible=false

        btn_ejer2.isVisible=false

        btn_ejer3.isVisible=false

        configView()

        btn_aceptar.setOnClickListener {




                SharedApp.prefs.name = et_nombre.text.toString()

                btn_aceptar.isVisible=false

                btn_ejer1.isVisible=true

                btn_ejer2.isVisible=true

                btn_ejer3.isVisible=true
                configView()
        }
        btn_borrar.setOnClickListener{
            SharedApp.prefs.name = EMPTY_VALUE
            configView()
        }



        btn_ejer1.setOnClickListener {
            val intent = Intent(this, MainActivity::class.java)
            startActivity(intent, null)
        }
        btn_ejer2.setOnClickListener {
            val intent = Intent(this, Main3Activity::class.java)
            startActivity(intent, null)

        }
        btn_ejer3.setOnClickListener {
            val intent = Intent(this, Main4Activity::class.java)
            startActivity(intent, null)

        }



    }

    fun showProfile(){
        txt_nombre.visibility = View.VISIBLE
        txt_nombre.text = ("Hola ${SharedApp.prefs.name}")
        btn_borrar.visibility = View.VISIBLE
        et_nombre.visibility = View.INVISIBLE
        btn_aceptar.visibility = View.INVISIBLE
        btn_ejer1.visibility = View.VISIBLE
        btn_ejer2.visibility = View.VISIBLE
        btn_ejer3.visibility = View.VISIBLE

    }

    fun showGuest(){
        txt_nombre.visibility = View.INVISIBLE
        btn_borrar.visibility = View.INVISIBLE
        et_nombre.visibility = View.VISIBLE
        btn_aceptar.visibility = View.VISIBLE
    }
    fun configView(){
        if(isSavedName()) showProfile() else showGuest()
    }
    fun isSavedName():Boolean{
        val myName = SharedApp.prefs.name
        return myName != EMPTY_VALUE
    }


}


