package com.example.apretamemm

import android.animation.ObjectAnimator
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.os.CountDownTimer
import android.util.DisplayMetrics
import android.util.Log
import android.widget.Button
import android.widget.TextView
import androidx.core.view.isVisible
import kotlinx.android.synthetic.main.activity_main2.*
import kotlinx.android.synthetic.main.activity_main4.*
import java.lang.Math.random
import java.util.*

class Main3Activity : AppCompatActivity() {

    internal var tiempo2 : Long = 15000
    internal var puntos2 : Int = 0
    internal var prev2 : Int = 0
    internal var may2: Int = 0
    internal lateinit var txt_puntos2: TextView
    internal lateinit var txt_puntaje3: TextView
    internal lateinit var txt_time2: TextView
    internal lateinit var txt_mayor2: TextView
    internal lateinit var txt_puntaje4: TextView

    internal lateinit var btn_apretar2: Button
    internal lateinit var btn_iniciar2: Button



    override fun onCreate(savedInstanceState: Bundle?) {

        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main3)
        btn_apretar2 = findViewById(R.id.btn_apretar2)
        txt_time2 = findViewById(R.id.txt_time2)
        txt_puntos2 = findViewById(R.id.txt_puntos2)
        btn_iniciar2= findViewById(R.id.btn_iniciar2)
        txt_puntaje3= findViewById(R.id.txt_puntaje3)

        txt_mayor2=findViewById(R.id.txt_mayor2)
        txt_puntaje4=findViewById(R.id.txt_puntaje4)

        btn_iniciar2.setOnClickListener {
            btn_apretar2.isEnabled = true
            btn_apretar2.isVisible = true
            txt_puntaje3.isVisible= false
            txt_time2.isVisible = true
            txt_puntaje4.isVisible=false
            btn_iniciar2.isVisible=false


            empiezaConteo2()
            isSavedPoints2()
        }


        btn_apretar2.setOnClickListener {
            puntos2 +=1
            txt_puntos2.setText("Puntos Acumulados: ${puntos2}")

            ObjectAnimator.ofFloat(btn_apretar2, "translationX", ((-180..180).random()).toFloat()).apply {
                duration = 100
                start()
            }
            ObjectAnimator.ofFloat(btn_apretar2, "translationY", ((-180..600).random()).toFloat()).apply {
                duration = 100
                start()
            }
            if(puntos2 >= SharedApp.prefs.points2) {
                may2=puntos2
                SharedApp.prefs.points2= may2
                txt_puntaje3.text=("Felicidades ${SharedApp.prefs.name}!!!, Hiciste el mayor puntaje")
            }else{
                txt_puntaje3.text=("El mayor puntaje fue de ${SharedApp.prefs.name} e hizo ${SharedApp.prefs.points2} puntos")
                txt_puntaje4.text=("Tu puntaje fue de ${puntos2} puntos")
            }
            isSavedPoints2()
        }


        }
    fun isSavedPoints2():Boolean{
        val myPoints = SharedApp.prefs.points2
        return myPoints != 0
    }

        fun empiezaConteo2(){
        object : CountDownTimer(tiempo2, 1000) {
            override fun onTick(millisUntilFinished: Long) {
                txt_time2.setText("00:${millisUntilFinished / 1000}")
                btn_iniciar2.isEnabled=false

            }
            override fun onFinish() {
                txt_puntaje3.isVisible=true


                txt_time2.setText("00:00")
                btn_iniciar2.isVisible=true
                btn_iniciar2.isEnabled=true
                btn_apretar2.isVisible=false
                btn_iniciar2.setText("A ver si superas el puntaje anterior")
                puntos2 = 0
                txt_mayor2.isVisible=true
                txt_puntaje4.isVisible=true



            }
        }.start()
    }
}
