package com.example.apretamemm

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.content.Intent
import android.content.IntentSender
import android.os.CountDownTimer
import android.view.View
import android.widget.Button
import android.widget.TextView
import androidx.core.view.isVisible
import java.security.KeyStore

class MainActivity : AppCompatActivity() {
    internal var tiempo : Long = 15000
    internal var puntos : Int = 0
    internal var may : Int = 0
    internal lateinit var txt_puntos: TextView
    internal lateinit var txt_puntaje: TextView
    internal lateinit var txt_time: TextView
    internal lateinit var txt_mayor: TextView
    internal lateinit var txt_puntaje2: TextView

    internal lateinit var btn_apretar: Button
    internal lateinit var btn_iniciar: Button



    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        btn_apretar = findViewById(R.id.btn_apretar)
        txt_time = findViewById(R.id.txt_time)
        txt_puntos = findViewById(R.id.txt_puntos)
        btn_iniciar= findViewById(R.id.btn_iniciar)
        txt_puntaje= findViewById(R.id.txt_puntaje)

        txt_mayor=findViewById(R.id.txt_mayor)
        txt_puntaje2=findViewById(R.id.txt_puntaje2)
        isSavedPoints()
        btn_iniciar.setOnClickListener {
            btn_apretar.isEnabled = true
            btn_apretar.isVisible = true
            txt_puntaje.isVisible= false
            txt_time.isVisible = true
            txt_puntaje2.isVisible=false

            isSavedPoints()
            empiezaConteo()
        }

        btn_apretar.setOnClickListener {
            puntos = puntos + 1
            txt_puntos.setText("Puntos Acumulados: ${puntos}")
            if(puntos >= SharedApp.prefs.points) {
                may=puntos
                SharedApp.prefs.points= may
            txt_puntaje2.text=("Felicidades ${SharedApp.prefs.name}!!!, Hiciste el mayor puntaje")

            }else{
                txt_puntaje2.text=("El mayor puntaje fue de ${SharedApp.prefs.name} e hizo ${SharedApp.prefs.points} puntos")
                txt_puntaje.text=("Tu puntaje fue de ${puntos} puntos")
            }
            isSavedPoints()
        }

    }

    fun isSavedPoints():Boolean{
        val myPoints = SharedApp.prefs.points
        return myPoints != 0
    }
    fun empiezaConteo(){
        object : CountDownTimer(tiempo, 1000) {
            override fun onTick(millisUntilFinished: Long) {
                txt_time.setText("00:${millisUntilFinished / 1000}")
                btn_iniciar.isEnabled=false

            }
            override fun onFinish() {
                txt_puntaje.isVisible=true
                txt_puntaje2.isVisible = true
               
                txt_time.setText("Acabou a festa")
                btn_iniciar.isEnabled=true
                btn_apretar.isEnabled=false
                btn_iniciar.setText("A ver si superas el puntaje anterior")
                puntos = 0
                txt_mayor.isVisible=true
                txt_puntaje2.isVisible=true



            }
            }.start()
    }

    }

private fun TextView.toInt(): Int {
    TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
}
